mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

is used by the class to indicate drive type. It can be used with the property.

Defines constants for drive types, including CDRom, Fixed, Network, NoRootDirectory, Ram, Removable, and Unknown.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The drive is an optical disc device, such as a CD or DVD-ROM.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The drive is a fixed disk.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The drive is a network drive.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The drive does not have a root directory.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The drive is a RAM disk.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The drive is a removable storage device, such as a floppy disk drive or a USB flash drive.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.DriveType

  The type of drive is unknown.